package oesf.ace;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.KeyEvent;
import android.view.View;
import android.view.View.OnKeyListener;
import android.widget.EditText;

public class KeyEventActivity extends Activity 
                              implements OnKeyListener {
	EditText editText;
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        editText = (EditText)findViewById(R.id.editText1);
        editText.setOnKeyListener(this);
    }

	@Override
	public boolean onKey(View v, int keyCode, KeyEvent event) {
		// TODO ꂽ\bhEX^u
		Log.v("02_KeyEvent", "Key Code->" + keyCode);
		int action = event.getAction();
		if (action == KeyEvent.ACTION_UP) {
			// ̃WbN
			Log.v("02_KeyEvent", "Key Event->" + KeyEvent.ACTION_UP);
		} else if (action == KeyEvent.ACTION_DOWN) {
			Log.v("02_KeyEvent", "Key Event->" + KeyEvent.ACTION_DOWN);
			// ꂽ̃WbN
		}
		if(keyCode == KeyEvent.KEYCODE_ENTER){
			// G^[L[ꂽ̃WbN
			Log.v("02_KeyEvent", "Input Data->" + editText.getText());
		}
		return true;
	}
}