package oesf.ace;

import java.io.ByteArrayOutputStream;

import org.apache.http.HttpResponse;
import org.apache.http.HttpStatus;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.DefaultHttpClient;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

/**
 * 6.2　HTTP通信
 * リスト6-2-1　 DefaultHttpClientクラスによるHTTP/GETのサンプル
 * 
 */

public class HTTPSampleActivity extends Activity {
	private static String URL = "http://www.yahoo.co.jp/";

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		Button b1 = (Button) findViewById(R.id.button1);
		b1.setOnClickListener(new OnClickListener() {

			public void onClick(View v) {
				try {
					HttpClient client = new DefaultHttpClient();
					HttpGet request = new HttpGet(URL);
					HttpResponse response = client.execute(request);
					int status = response.getStatusLine().getStatusCode();

					if (HttpStatus.SC_OK == status) {
						ByteArrayOutputStream os = new ByteArrayOutputStream();
						response.getEntity().writeTo(os);
						TextView result = ((TextView) findViewById(R.id.text1));
						String res = os.toString();
						result.setText(res);
					}
				} catch (Exception e) {
				}
			}
		});
	}
}