package oesf.ace;

import android.app.Activity;
import android.content.Context;
import android.location.Location;
import android.location.LocationListener;
import android.location.LocationManager;
import android.os.Bundle;
import android.util.Log;


public class LocationActivity extends Activity {
    /** Called when the activity is first created. */
	private LocationManager mLocationManager;
	private LocationListener  mListener;
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
 
        mListener = new LocationListener() {
        	@Override
        	public void onStatusChanged(String provider, int status, Bundle extras) {
        	    // ...
        	}

        	@Override
        	public void onProviderEnabled (String provider) {
        	    // ...
        	}

        	@Override
        	public void onProviderDisabled (String provider) {
        	    // ...
        	}

        	@Override
        	public void onLocationChanged (Location location) {
        	    // ܓx擾
        	    double longitude = location.getLongitude();
        	    // ox擾
        	    double latitude = location.getLatitude();
                
                Log.v("07_Location",
                	  "ܓx->" + longitude + "ox->" + latitude);
                
        	}};
    }
	
	@Override
	protected void onPause() {
		// TODO ꂽ\bhEX^u
        if (mLocationManager != null) 
            mLocationManager.removeUpdates(mListener);
		super.onPause();
	}
	@Override
	protected void onResume() {
		// TODO ꂽ\bhEX^u
	    mLocationManager =  (LocationManager) getSystemService(Context.LOCATION_SERVICE);
	    mLocationManager.requestLocationUpdates(LocationManager.GPS_PROVIDER, 6000, 1, mListener);
		super.onResume();
	}
}